<article class="resellers">
    <section class="container">
        <h2 class="resellers__title">{{ title }}</h2>
        <section class="reseller-section reseller-section--preferred" v-if="resellers">
            <header class="reseller-section__header">
                <h3 class="reseller-section__title">{{ labels.preferredResellers }}
                    <span class="reseller-section__count">({{resellersPreferred.length}})</span>
                    <template v-if="preferredResellersTooltipVisible">
                        <transition name="tooltip">
                            <tooltip id="tooltip-preferred" block="resellers" v-show="visibleTooltipPreferred">
                                {{ labels.preferredResellersInfoText }}
                            </tooltip>
                        </transition>
                    </template>
                </h3>
                <content-link
                    class="reseller-section__info-link"
                    :icon="'info'"
                    mod="reversed"
                    @click.native.prevent="toggleTooltipPreferred"
                    @blur.native.prevent="hideTooltipPreferred"
                    role="button"
                    aria-describedby="tooltip-preferred"
                    v-if="preferredResellersTooltipVisible">
                    {{ labels.preferredResellersInfoLabel }}
                </content-link>
            </header>

            <ul class="reseller-list" v-if="resellersPreferred.length > 0">
                <div class="flexgrid flexgrid--justify-space-between flexgrid--mobile-xl-row">
                    <template v-for="(reseller, index) in resellersPreferred">
                        <div class="flexgrid__cell--md-4 flexgrid__cell--xs-6">
                            <li class="reseller-list__item">
                                <reseller-card v-bind="reseller" :labels="labels" :position="index + 1"></reseller-card>
                            </li>
                        </div>
                    </template>
                </div>
            </ul>

        </section>

        <section class="reseller-section reseller-section--authorized" v-if="resellers">
            <header class="reseller-section__header">
                <h3 class="reseller-section__title">{{ labels.authorizedResellers }} <span
                    class="reseller-section__count">({{ resellersAuthorized.length }})</span>
                </h3>
            </header>
            <ul class="reseller-list" v-if="resellersAuthorized.length > 0">
                <div class="flexgrid flexgrid--justify-space-between flexgrid--mobile-xl-row">
                    <div class="flexgrid__cell--md-4 flexgrid__cell--xs-6"
                         v-for="(reseller, index) in resellersAuthorized"
                         v-if="index < showMax">
                        <li class="reseller-list__item">
                            <reseller-card v-bind="reseller" ref="visible" :labels="labels" :position="index + 1"></reseller-card>
                        </li>
                    </div>
                    <template v-if="resellersAuthorized.length > showMax && !visibleAllAuthorizedResellers">
                        <div class="flexgrid__cell flexgrid__cell--reseller-list__button--center">
                            <button class="button--secondary reseller-list__button"
                                    @click="showAllAuthorizedResellers">{{ labels.showAll }}
                            </button>
                        </div>
                    </template>
                </div>
                <transition-group @before-enter="beforeEnter"
                                  @enter="enter"
                                  tag="div"
                                  :css="false"
                                  class="flexgrid flexgrid--justify-space-between flexgrid--mobile-xl-row" id="newSection">
                    <div class="flexgrid__cell--md-4 flexgrid__cell--xs-6"
                         v-for="(reseller, index) in resellersAuthorized"
                         v-if="index >= showMax"
                         v-show="visibleAllAuthorizedResellers"
                         :key="index"
                         :data-index="index">
                        <li class="reseller-list__item">
                            <reseller-card v-bind="reseller" :labels="labels"></reseller-card>
                        </li>
                    </div>
                </transition-group>
            </ul>
        </section>
    </section>
</article>
